Lattice Grid Buy a licence

demo D212

Manufacturing and process

A machined bore with a tolerance driving capability, drifting in one shift

spec · grid.statistics.capability

Building…
Loading a live grid…

The configuration

import * as ng from '@angular/core';
import { Component } from '@angular/core';
import { bootstrapApplication } from '@angular/platform-browser';
import { createGrid } from '@toclocoinc/lattice-grid';
import '@toclocoinc/lattice-grid/css';
import createLatticeGrid from '@toclocoinc/lattice-grid/modules/angular';

const { LatticeGridComponent } = createLatticeGrid({ ng, createGrid });

const columns = [
  { field: 'part', title: 'Part', layout: { pin: 'start', width: 120 } },
  { field: 'shift', title: 'Shift', filter: { type: 'set' } },
  // The spec drives process capability and the control chart.
  { field: 'bore', title: 'Bore', type: 'millimetres', total: 'median',
    spec: { lower: 9.5, upper: 10.8, target: 10 } },
  { field: 'speed', title: 'Spindle', type: 'rpm', total: 'avg' },
  { field: 'line', title: 'Line pressure', type: 'bar', total: 'p95' },
  { field: 'torque', title: 'Torque', type: 'torque', total: 'max' },
];

const rows = [/* measured parts */];



@Component({
  selector: 'app-root',
  standalone: true,
  imports: [LatticeGridComponent],
  template: '<lattice-grid [config]="grid" style="display:block;height:460px"></lattice-grid>',
})
export class AppComponent {
  grid = {
    rowKey: 'id',
    toolPanel: { side: 'left', panels: ['columns', 'filters', 'statistics'] },
    columnDefaults: { filter: true },
    columns: columns,
    rows: rows,
  };
}

bootstrapApplication(AppComponent);

Lattice Grid Buy a licence

demo D212

Manufacturing and process

A machined bore with a tolerance driving capability, drifting in one shift

spec · grid.statistics.capability

Building…
Loading a live grid…

The configuration

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/lattice-grid.min.css">

<div id="grid"></div>

<script type="module">
  import React from 'https://esm.sh/react@18';
  import { createRoot } from 'https://esm.sh/react-dom@18/client';
  import { createGrid } from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/lattice-grid.esm.min.js';
  import createLatticeGrid from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/modules/react.esm.min.js';

  const LatticeGrid = createLatticeGrid({ React, createGrid });

  const columns = [
    { field: 'part', title: 'Part', layout: { pin: 'start', width: 120 } },
    { field: 'shift', title: 'Shift', filter: { type: 'set' } },
    // The spec drives process capability and the control chart.
    { field: 'bore', title: 'Bore', type: 'millimetres', total: 'median',
      spec: { lower: 9.5, upper: 10.8, target: 10 } },
    { field: 'speed', title: 'Spindle', type: 'rpm', total: 'avg' },
    { field: 'line', title: 'Line pressure', type: 'bar', total: 'p95' },
    { field: 'torque', title: 'Torque', type: 'torque', total: 'max' },
  ];

  const rows = [/* measured parts */];

  function App() {
    return (
      <LatticeGrid
        rowKey="id"
        toolPanel={{ side: 'left', panels: ['columns', 'filters', 'statistics'] }}
        columnDefaults={{ filter: true }}
        columns={columns}
        rows={rows}
        style={{ height: '460px' }}
      />
    );
  }

  createRoot(document.getElementById('grid')).render(<App />);
</script>